ERROR

This error is not what we wanted to see. Unfortunately errors are part of all software systems and we need to resolve this together.

It is important to report this ERROR so we can fix it for everyone.

Report to the GeneNetwork team by recording the steps you take to reproduce this ERROR. Next to those steps, copy-paste below stack trace, either as a new issue or E-mail this full page to one of the developers directly.

(GeneNetwork error: error-id: 31a1bcb0-535a-426d-bfa5-0f010d998bc1: We got an error of type 'JSONDecodeError' trying to access https://gn2-zach.gene)

    GeneNetwork 2.11-rc2 
    error-id: 31a1bcb0-535a-426d-bfa5-0f010d998bc1: We got an error of type 'JSONDecodeError' trying to access https://gn2-zach.genenetwork.org/auth/data/authorisation:

 Traceback (most recent call last):
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 971, in json
    return complexjson.loads(self.text, **kwargs)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/__init__.py", line 525, in loads
    return _default_decoder.decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 370, in decode
    obj, end = self.raw_decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 400, in raw_decode
    return self.scan_once(s, idx=_w(s, idx).end())
simplejson.errors.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/zas1024/gn2-zach/gene/gn2/wqflask/oauth2/request_utils.py", line 49, in process_error
    return {**error.json(), "status_code": error.status_code}
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 975, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
 

Could not parse error record into JSON:

b'<html>\r\n<head><title>502 Bad Gateway</title></head>\r\n<body bgcolor="white">\r\n<center><h1>502 Bad Gateway</h1></center>\r\n<hr><center>nginx/1.14.2</center>\r\n</body>\r\n</html>\r\n' (error)
    
    
  

To check if this already a known issue, search the issue tracker.

Toggle full stack trace
      GeneNetwork 2.11-rc2  http://gn2-zach.genenetwork.org/show_trait?trait_id=rsm10000006649&dataset=BXDGeno (10:00AM UTC May 18, 2024) 
Traceback (most recent call last):
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 971, in json
    return complexjson.loads(self.text, **kwargs)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/__init__.py", line 525, in loads
    return _default_decoder.decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 370, in decode
    obj, end = self.raw_decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 400, in raw_decode
    return self.scan_once(s, idx=_w(s, idx).end())
simplejson.errors.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/zas1024/gn2-zach/gene/gn2/wqflask/oauth2/request_utils.py", line 49, in process_error
    return {**error.json(), "status_code": error.status_code}
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 975, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/flask/app.py", line 1523, in full_dispatch_request
    rv = self.dispatch_request()
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/flask/app.py", line 1509, in dispatch_request
    return self.ensure_sync(self.view_functions[rule.endpoint])(**req.view_args)
  File "/home/zas1024/gn2-zach/gene/gn2/wqflask/views.py", line 656, in show_trait_page
    }).either(with_flash_error(render_template("show_trait_error.html")),
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/pymonad/either.py", line 91, in either
    return left_function(self.monoid[0])
  File "/home/zas1024/gn2-zach/gene/gn2/wqflask/oauth2/request_utils.py", line 96, in __err__
    error = process_error(err)
  File "/home/zas1024/gn2-zach/gene/gn2/wqflask/oauth2/request_utils.py", line 51, in process_error
    raise ExternalRequestError(
gn2.wqflask.external_errors.ExternalRequestError: error-id: 31a1bcb0-535a-426d-bfa5-0f010d998bc1: We got an error of type 'JSONDecodeError' trying to access https://gn2-zach.genenetwork.org/auth/data/authorisation:

 Traceback (most recent call last):
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 971, in json
    return complexjson.loads(self.text, **kwargs)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/__init__.py", line 525, in loads
    return _default_decoder.decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 370, in decode
    obj, end = self.raw_decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 400, in raw_decode
    return self.scan_once(s, idx=_w(s, idx).end())
simplejson.errors.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/zas1024/gn2-zach/gene/gn2/wqflask/oauth2/request_utils.py", line 49, in process_error
    return {**error.json(), "status_code": error.status_code}
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 975, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
 

Could not parse error record into JSON:

b'<html>\r\n<head><title>502 Bad Gateway</title></head>\r\n<body bgcolor="white">\r\n<center><h1>502 Bad Gateway</h1></center>\r\n<hr><center>nginx/1.14.2</center>\r\n</body>\r\n</html>\r\n'